# The Yaf_Route_Regex class

(Yaf >=1.0.0)

## Introduction

Yaf_Route_Regex is the most flexible route among the Yaf built-in routes.

## Class synopsis

Yaf_Route_Regex extends Yaf_Route_Interface implements Yaf_Route_Interface {
/* Properties */
protected $_route ;
protected $_default ;
protected $_maps ;
protected $_verify ;
/* Methods */
public assemble ( array `$info` [, array `$query` ] ) : string
public __construct ( string `$match` , array `$route` [, array `$map` [, array `$verify` [, string `$reverse` ]]] )
public route ( Yaf_Request_Abstract `$request` ) : bool
/* Inherited methods */
abstract public Yaf_Route_Interface::assemble ( array `$info` [, array `$query` ] ) : string
abstract public Yaf_Route_Interface::route ( Yaf_Request_Abstract `$request` ) : bool
}

## Properties

_route

_default

_maps

_verify

## Table of Contents

- Yaf_Route_Regex::assemble — Assemble a url
- Yaf_Route_Regex::__construct — Yaf_Route_Regex constructor
- Yaf_Route_Regex::route — The route purpose